var MetaCharacterCount = new Class({
    Implements:[Options],
    options:{
        count:{},
        counter:{},
        fields:{},
        strings:{},
        version:0,
        periodicals:[]
    },
    periodical:{},
    initialize:function(options){
        var self = this;
        self.setOptions(options);
        Object.each(self.options.fields,function(fieldname,key){
            if(typeOf($(document.body).getElement('[name="' + fieldname + '"]')) != 'null') {
                self.options.count[key] = new Element('label',{
                    'id':key+'count',
                    'for':'jform_' + key,
                    'class':'metacharactercount',
                    'html':'0 ' + self.options.strings.WORDS + ', 0 ' + self.options.strings.CHARACTERS
                });
                switch(parseFloat(self.options.version)) {
                    case 3:
                        self.options.count[key].inject(document.id('jform_' + key),'after');
                        break;
                    case 2:
                        self.options.count[key].inject(document.id('jform_' + key + '-lbl'),'after');
                        break;
                }
                self.options.counter[key] = new WordCount(self.options.count[key],{
                    'inputName':fieldname,
                    'charText':self.options.strings.CHARACTERS,
                    'wordText':self.options.strings.WORDS
                });
                document.id('jform_'+key).fireEvent('keyup');
                if(self.options.periodicals.contains(key)) {
                    self.periodical[key]={'key':key};
                    self.periodical[key]['function'] = self.simulateKeyup.periodical(1200,self.periodical[key]);
                }
            }
        })
    },
    simulateKeyup:function(){
        document.id('jform_'+this.key).fireEvent('keyup');
        if(typeOf(window.tinyMCE) == 'object') if(window.tinyMCE.activeEditor.isDirty()) window.tinyMCE.activeEditor.save();
    }
});
window.addEvent('domready',function(){
    var mcc = new MetaCharacterCount(window.plg_system_metacharactercount_config);
});